/*
 * Copyright 2017-2018 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.example;

import com.google.cloud.spring.data.datastore.repository.DatastoreRepository;
import com.google.cloud.spring.data.datastore.repository.query.Query;
import java.util.List;
import java.util.stream.Stream;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.Slice;
import org.springframework.data.repository.query.Param;

/** Sample repository for app. */
public interface SingerRepository extends DatastoreRepository<Singer, String> {

  @Query("select * from  |com.example.Singer| where last_name = @name")
  Slice<Singer> findSingersByLastName(@Param("name") String name, Pageable pageable);

  @Query("select * from  |com.example.Singer| where firstBand = @band")
  List<Singer> findSingersByFirstBand(@Param("band") Band band);

  List<Singer> findByFirstBand(Band band);

  Stream<Singer> findStreamOfSingersByLastName(String name);
}
